summaryrefslogtreecommitdiff
path: root/t/t5503-tagfollow.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2011-07-06 15:38:28 -0700
committerLibravatar Junio C Hamano <gitster@pobox.com>2011-07-06 15:38:28 -0700
commit25d33546d474c7c28b72013c262fc23337cb3b21 (patch)
tree7551eb457a33329be6b3bb0fc11f76118a6e2c42 /t/t5503-tagfollow.sh
parentMerge commit 'v1.7.0' into jc/checkout-reflog-fix (diff)
parentGit 1.7.6 (diff)
downloadtgif-25d33546d474c7c28b72013c262fc23337cb3b21.tar.xz
Merge commit 'v1.7.6' into jc/checkout-reflog-fix
* commit 'v1.7.6': (3211 commits) Git 1.7.6 completion: replace core.abbrevguard to core.abbrev Git 1.7.6-rc3 Documentation: git diff --check respects core.whitespace gitweb: 'pickaxe' and 'grep' features requires 'search' to be enabled t7810: avoid unportable use of "echo" plug a few coverity-spotted leaks builtin/gc.c: add missing newline in message tests: link shell libraries into valgrind directory t/Makefile: pass test opts to valgrind target properly sh-i18n--envsubst.c: do not #include getopt.h Fix typo: existant->existent Git 1.7.6-rc2 gitweb: do not misparse nonnumeric content tag files that contain a digit Git 1.7.6-rc1 fetch: do not leak a refspec t3703: skip more tests using colons in file names on Windows gitweb: Fix usability of $prevent_xss gitweb: Move "Requirements" up in gitweb/INSTALL gitweb: Describe CSSMIN and JSMIN in gitweb/INSTALL ...
Diffstat (limited to 't/t5503-tagfollow.sh')
-rwxr-xr-xt/t5503-tagfollow.sh38
1 files changed, 24 insertions, 14 deletions
diff --git a/t/t5503-tagfollow.sh b/t/t5503-tagfollow.sh
index d5db75d826..60de2d6ede 100755
--- a/t/t5503-tagfollow.sh
+++ b/t/t5503-tagfollow.sh
@@ -4,11 +4,9 @@ test_description='test automatic tag following'
. ./test-lib.sh
-case $(uname -s) in
-*MINGW*)
+if ! test_have_prereq NOT_MINGW; then
say "GIT_DEBUG_SEND_PACK not supported - skipping tests"
- test_done
-esac
+fi
# End state of the repository:
#
@@ -19,7 +17,7 @@ esac
# \ C - origin/cat \
# origin/master master
-test_expect_success setup '
+test_expect_success NOT_MINGW setup '
test_tick &&
echo ichi >file &&
git add file &&
@@ -42,13 +40,16 @@ test_expect_success setup '
U=UPLOAD_LOG
+test_expect_success NOT_MINGW 'setup expect' '
cat - <<EOF >expect
#S
want $A
#E
EOF
-test_expect_success 'fetch A (new commit : 1 connection)' '
- rm -f $U
+'
+
+test_expect_success NOT_MINGW 'fetch A (new commit : 1 connection)' '
+ rm -f $U &&
(
cd cloned &&
GIT_DEBUG_SEND_PACK=3 git fetch 3>../$U &&
@@ -59,7 +60,7 @@ test_expect_success 'fetch A (new commit : 1 connection)' '
test_cmp expect actual
'
-test_expect_success "create tag T on A, create C on branch cat" '
+test_expect_success NOT_MINGW "create tag T on A, create C on branch cat" '
git tag -a -m tag1 tag1 $A &&
T=$(git rev-parse --verify tag1) &&
@@ -71,14 +72,17 @@ test_expect_success "create tag T on A, create C on branch cat" '
git checkout master
'
+test_expect_success NOT_MINGW 'setup expect' '
cat - <<EOF >expect
#S
want $C
want $T
#E
EOF
-test_expect_success 'fetch C, T (new branch, tag : 1 connection)' '
- rm -f $U
+'
+
+test_expect_success NOT_MINGW 'fetch C, T (new branch, tag : 1 connection)' '
+ rm -f $U &&
(
cd cloned &&
GIT_DEBUG_SEND_PACK=3 git fetch 3>../$U &&
@@ -91,7 +95,7 @@ test_expect_success 'fetch C, T (new branch, tag : 1 connection)' '
test_cmp expect actual
'
-test_expect_success "create commits O, B, tag S on B" '
+test_expect_success NOT_MINGW "create commits O, B, tag S on B" '
test_tick &&
echo O >file &&
git add file &&
@@ -107,14 +111,17 @@ test_expect_success "create commits O, B, tag S on B" '
S=$(git rev-parse --verify tag2)
'
+test_expect_success NOT_MINGW 'setup expect' '
cat - <<EOF >expect
#S
want $B
want $S
#E
EOF
-test_expect_success 'fetch B, S (commit and tag : 1 connection)' '
- rm -f $U
+'
+
+test_expect_success NOT_MINGW 'fetch B, S (commit and tag : 1 connection)' '
+ rm -f $U &&
(
cd cloned &&
GIT_DEBUG_SEND_PACK=3 git fetch 3>../$U &&
@@ -127,13 +134,16 @@ test_expect_success 'fetch B, S (commit and tag : 1 connection)' '
test_cmp expect actual
'
+test_expect_success NOT_MINGW 'setup expect' '
cat - <<EOF >expect
#S
want $B
want $S
#E
EOF
-test_expect_success 'new clone fetch master and tags' '
+'
+
+test_expect_success NOT_MINGW 'new clone fetch master and tags' '
git branch -D cat
rm -f $U
(